DBusKey Struct Reference
D-Bus secret internal implementation details » DBusKeyring implementation details

A single key from the cookie file. More...

## Data Fields

dbus_int32_t | id
| identifier used to refer to the key
dbus_int64_t | creation_time
| when the key was generated, in seconds since 1970-01-01
DBusString | secret
| the actual key

## Detailed Description

A single key from the cookie file.

Definition at line 95 of file dbus-keyring.c.

## Field Documentation

## creation_time

dbus_int64_t DBusKey::creation_time

when the key was generated, in seconds since 1970-01-01

Definition at line 99 of file dbus-keyring.c.

## id

dbus_int32_t DBusKey::id

identifier used to refer to the key

Definition at line 97 of file dbus-keyring.c.

Referenced by _dbus_keyring_get_best_key().

## secret

DBusString DBusKey::secret

the actual key

Definition at line 101 of file dbus-keyring.c.

Referenced by _dbus_keyring_get_hex_key().

The documentation for this struct was generated from the following file:

- dbus-keyring.c